/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700&display=swap');

// Colors
$background: #f1f3f8;
$surface: #fff;
$primary-green: #0ab52f;
$coa-blue-200: #309bfe;

$primary-color: #4c7ff7;
$primary-light: #dbe5fd;
$primary-color-light: #f8fcff;
$secondary-color: rgba(0, 0, 0, 0.76);
$on-surface-medium: #728099;
$on-surface: #26385b;
$success-color: #15d380;
$success-color-light: #6fcf97;
$danger-color: #ff6f6f;

$light-green: rgba(32, 186, 195, 0.1);

$black: #000;
$white: #fff;
$grey: #8b91a4;
$medium-grey: #b1b4cc;
$light-gray: #f3f4fb;
$theme-color-1: linear-gradient(to bottom, #2a3890, #0083e2);
$cyan: #e2fefd;
$alert-bg: #ff5722;
$cyanbg: rgba(32, 186, 195, 0.5);
$border: #e5e6ed;

// Tag colors
$tag-green-color: #04b100;
$tag-blue-color: #309bfe;
$tag-yellow-color: #fe9f30;
$tag-red-color: #fe3030;
$tag-grey-color: #faf7f7;

// Tag background
$tag-green-bg: #d1ffc6;
$tag-blue-bg: #d4e3ff;
$tag-red-bg: #ffd4d4;
$tag-yellow-bg: #ffecd4;
$tag-grey-bg: #d2d2d2;

// Typographic Scale
$titlebanner: 90px;
$titlebig: 40px;
$titlemedium: 26px;
$titlepage: 24px;
$titlecard: 19px;
$title: 20px;
$labelbig: 17px;
$subtitle: 15.5px;
$h1: 15.5px;
$h2: 13.5px;
$labels-bigger: 15px;
$labels: 14px;
$medium: 13.5px;
$h3: 13.5px;
$button: 13px;
$body: 13px;
$body-2: 13px;
$tabs: 10px;
$label: 11px;

// Shadow
$shadow: 0 3px 7px rgba(30, 30, 31, 0.05), 0 1px 3px rgba(27, 28, 29, 0.07);
$shadow-big: 0 14px 28px rgba(96, 96, 107, 0.25), 0 10px 10px rgba(118, 115, 136, 0.15);

// Fonts

@mixin primary-text($font-size, $font-color, $font-weight, $line-height: normal) {
  margin: 0;
  font-size: $font-size;
  font-weight: $font-weight;
  @if $font-color {
    color: $font-color;
  }
  line-height: $line-height;
  font-family: 'Rubik', sans-serif;
}

// Container

@mixin container() {
  background: #fff;
  box-shadow: 0 1px 6px rgba(147, 141, 158, 0.16), 0 2px 6px rgba(52, 53, 62, 0.28);
  border-radius: 6px;
  padding: 1em;
}

@mixin ControlSteps {
  border-top: 1px solid $light-gray;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 10%;
}

@mixin ContentComplete {
  height: 92vh;
  padding: 0;
  overflow-y: auto;
}

@mixin input-style($border-color) {
  outline: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
  border-color: $border-color;
}

@mixin respond($breakpoint) {
  @if $breakpoint == mobile {
    @media (max-width: 768px) {
      @content;
    }
  }

  @if $breakpoint == tablet {
    @media (min-width: 768px) {
      @content;
    }
  }

  @if $breakpoint == laptop {
    @media (min-width: 1024px) {
      @content;
    }
  }
  @if $breakpoint == desktop {
    @media (min-width: 1440px) {
      @content;
    }
  }
}

//Separator

.Separator {
  border: 1px solid transparent;
  margin-top: 20px;
  margin-bottom: 20px;
}
.buttonDisabled {
  opacity: 0.5;
  cursor: auto;
}
// Responsive

$screen-xs-max: 375px;
$screen-sm-max: 576px;
$screen-md-max: 768px;
$screen-lg-max: 1024px;
$screen-lx-max: 1440px;

@mixin breakpoint($media) {
  @if $media == xs {
    @media only screen and (max-width: $screen-xs-max) {
      @content;
    }
  } @else if $media == sm {
    @media only screen and (max-width: $screen-sm-max) {
      @content;
    }
  } @else if $media == md {
    @media only screen and (max-width: $screen-md-max) {
      @content;
    }
  } @else if $media == lg {
    @media only screen and (max-width: $screen-lg-max) {
      @content;
    }
  } @else if $media == xl {
    @media only screen and (max-width: $screen-lx-max) {
      @content;
    }
  }
}

#reCapchaOwnComponent .grecaptcha-logo {
  margin-bottom: 90px !important;
}
